<template>
  <div>
    <div class="titulo">
      <div class="ruta">
        <v-breadcrumbs :items="breadcrumbs" :large="false">
          <template v-slot:divider>
            <v-icon>mdi-chevron-right</v-icon>
          </template>
        </v-breadcrumbs>
      </div>
      <strong>Sistema de Información</strong>
    </div>
    <div class="cotm">
      <div class="tmod">
        <strong>¿Con qué deseas comenzar hoy?</strong>
      </div>
    </div>
    <!-- Contenido -->
    <div class="contSecc">
      <v-row class="justify-center">
        <v-col
          v-for="card in cardsPerfil"
          :key="card.title"
          :xs="12"
          :sm="12"
          :md="6"
          :lg="3"
        >
          <v-card :to="card.to" :color="card.color" class="generalCard pa-4">
            <v-avatar class="ma-3" size="200" tile>
              <v-img
                :contain="true"
                :aspect-ratio="1"
                position="center"
                :src="card.src"
                :lazy-src="card.src"
                class="white--text align-end"
                height="150"
              >
                <template v-slot:placeholder>
                  <v-row
                    class="fill-height ma-0"
                    align="center"
                    justify="center"
                  >
                    <v-progress-circular
                      indeterminate
                      color="grey lighten-5"
                    ></v-progress-circular>
                  </v-row>
                </template>
              </v-img>
            </v-avatar>
            <v-card-title
              class="cardTitle justify-center white--text"
              v-text="card.title"
            ></v-card-title>
            <v-card-subtitle
              class="white--text"
              v-text="card.description"
            ></v-card-subtitle>
            <v-btn
              v-if="card.identificador"
              @click="descargaReporteWifi(card.identificador)"
            >
              Descargar Reporte
            </v-btn>
          </v-card>
        </v-col>
      </v-row>
    </div>
    <!-- Fin conSecc -->

    <v-dialog v-model="showDescargaReporteWifi" max-width="1000px">
      <v-card>
        <v-toolbar dense color="grey">
          <div style="color:white;font-weight: bold;">
            Clientes conectados a la Wifi de Sucursales
          </div>
          <v-spacer></v-spacer>
          <v-btn icon color="white" @click="showDescargaReporteWifi = false">
            <v-icon>mdi-close</v-icon>
          </v-btn>
        </v-toolbar>
        <DescargarReporteWifi />
      </v-card>
    </v-dialog>
    <v-dialog v-model="showDescargaReporteICU" max-width="1000px">
      <v-card>
        <v-toolbar dense color="grey">
          <div style="color:white;font-weight: bold;">
            Identificador de cliente conectados por la App
          </div>
          <v-spacer></v-spacer>
          <v-btn icon color="white" @click="showDescargaReporteICU = false">
            <v-icon>mdi-close</v-icon>
          </v-btn>
        </v-toolbar>
        <DescargarReporteICU />
      </v-card>
    </v-dialog>
  </div>
</template>
<style scoped>
.generalCard .cardTitle {
  border-top: 2px solid #ffcd00;
}
</style>
<script>
import store from "@/store";
import DescargarReporteWifi from "@/views/secure/sistema-informacion/wifi-sucursales/DescargarReporteWifi.vue";
import DescargarReporteICU from "@/views/secure/sistema-informacion/wifi-sucursales/DescargarReporteICU.vue";
const serviceLocalStorage = store.state.serviceLocalStorage;

export default {
  components: {
    DescargarReporteWifi,
    DescargarReporteICU,
  },
  data() {
    return {
      user: "",
      showDescargaReporteWifi: false,
      showDescargaReporteICU: false,
      breadcrumbs: [
        {
          text: "Plataforma de Franquicia",
          disabled: false,
          exact: true,
          to: {
            name: "home",
          },
        },
        {
          text: "Sistema de Información",
          disabled: true,
        },
      ],
    };
  },

  methods: {
    created() {
      this.user = serviceLocalStorage.userToken();
    },
    redirect: function(link, target = "_blank") {
      window.open(link, target);
    },

    descargaReporteWifi(identificador) {
      if (identificador === 1) {
        this.showDescargaReporteWifi = true;
        this.showDescargaReporteICU = false;
      } else {
        this.showDescargaReporteWifi = false;
        this.showDescargaReporteICU = true;
      }
    },
  },

  computed: {
    cardsPerfil() {
      let dashboard;
      store.state.perfiles.forEach((item) => {
        if (item.perfil.id_perfil == 339 || item.perfil.id_perfil == 340) {
      
          dashboard = [
            {
              title: "Dashboard",
              src: require("@/assets/img/disciplinas-b.svg"),
              description: "Informes directos por disciplina.",
              to: {
                name: "sistema_informacion_dashboard",
              },
              color: "#494949",
            },
          ];
        } else {
          dashboard = [
            {
              title: "Disciplinas",
              src: require("@/assets/img/disciplinas-b.svg"),
              description: "Informes directos por disciplina.",
              to: {
                name: "sistema_informacion_dashboard_disciplinas",
              },
              color: "#494949",
            },
          ];
        
        }
      });


      let cards = [
        ...dashboard,
        {
          title: "Galería de Evidencia",
          src: require("@/assets/img/certificacion-calidad/galeria_invitado_blanco.png"),
          description:
            "Si deseas consultar las certificaciones realizadas de los puntos de venta",
          to: {
            name: "certificacion_calidad_invitado",
            params: {},
          },
          color: "#494949",
        },
      ];

      store.state.perfiles.forEach((item) => {
        if (item.perfil.id_perfil == 330) {
          //Perfil Franquicia - Detalle Visita - Personalizado
          let cardDetalleVisita = {
            title: "Detalles de Visitas",
            src: require("@/assets/img/AtencionHallazgos.svg"),
            description:
              "Si deseas consultar los detalles de las visitas realizadas",
            to: {
              name: "franquicia_detalle_visitas",
              params: {},
            },
            color: "#494949",
          };
          cards.push(cardDetalleVisita);
        }
      });

      //PERFIL WIFI SUCURSALES - PERSONALIZADO
      store.state.perfiles.forEach((item) => {
        if (item.perfil.id_perfil == 337) {
          cards = [];

          let cardClientesWifi = {
            title: "CLIENTES CONECTADOS A LA WIFI DE SUCURSALES",
            src: require("@/assets/img/iconWifiPortal.svg"),
            description:
              "Descarga los reportes de información de los clientes conectados a través del Wifi de Sucursales",

            color: "#494949",
            identificador: 1,
          };
          cards.push(cardClientesWifi);

          let cardICUWifi = {
            title: "ICU CONECTADOS POR LA APP",
            src: require("@/assets/img/iconICUWifi.svg"),
            description:
              "Descarga los reportes de información del Identificador de Cliente Único de clientes conectados por la App",

            color: "#494949",
            identificador: 2,
          };
          cards.push(cardICUWifi);
        }
      });

      return cards;
    },
  },
};
</script>
